package com.srs.comprehensive.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.srs.comprehensive.domain.CphTotalScore;

/**
 * 总分记录表Service接口
 *
 * @author srs
 * @date 2024-01-08
 */
public interface ICphTotalScoreService extends IService<CphTotalScore> {
    /**
     * 查询总分记录表
     *
     * @param id 总分记录表主键
     * @return 总分记录表
     */
    public CphTotalScore selectCphTotalScoreById(Long id);

    /**
     * 查询总分记录表列表
     *
     * @param cphTotalScore 总分记录表
     * @return 总分记录表集合
     */
    List<CphTotalScore> selectCphTotalScoreList(CphTotalScore cphTotalScore);

    /**
     * 新增总分记录表
     *
     * @param cphTotalScore 总分记录表
     * @return 结果
     */
    int insertCphTotalScore(CphTotalScore cphTotalScore);

    /**
     * 修改总分记录表
     *
     * @param cphTotalScore 总分记录表
     * @return 结果
     */
    int updateCphTotalScore(CphTotalScore cphTotalScore);

    /**
     * 批量删除总分记录表
     *
     * @param ids 需要删除的总分记录表主键集合
     * @return 结果
     */
    int deleteCphTotalScoreByIds(Long[] ids);

    /**
     * 删除总分记录表信息
     *
     * @param id 总分记录表主键
     * @return 结果
     */
    int deleteCphTotalScoreById(Long id);
}
